import { ZOD_SEED } from '@/constants';
import { z } from 'zod';
// eslint-disable-next-line import/no-extraneous-dependencies
import { createFixture } from 'zod-fixture';
import { mapOverlay } from '../mapOverlay';

export const overlaysFixture = createFixture(z.array(mapOverlay), {
  seed: ZOD_SEED,
  array: { min: 2, max: 2 },
});
