import { DrawerState } from './drawer.types';

export const initialStateFixture: DrawerState = {
  isOpen: false,
  drawerName: 'none',
  searchDrawerState: {
    currentStep: 0,
    stepType: 'none',
    selectedValue: undefined,
    listOfBioEnitites: [],
    selectedSearchElement: '',
  },
  reactionDrawerState: {},
};

export const openedDrawerSubmapsFixture: DrawerState = {
  isOpen: true,
  drawerName: 'submaps',
  searchDrawerState: {
    currentStep: 0,
    stepType: 'none',
    selectedValue: undefined,
    listOfBioEnitites: [],
    selectedSearchElement: '',
  },
  reactionDrawerState: {},
};

export const drawerSearchStepOneFixture: DrawerState = {
  isOpen: true,
  drawerName: 'search',
  searchDrawerState: {
    currentStep: 1,
    stepType: 'none',
    selectedValue: undefined,
    listOfBioEnitites: [],
    selectedSearchElement: '',
  },
  reactionDrawerState: {},
};

export const drawerSearchDrugsStepTwoFixture: DrawerState = {
  isOpen: true,
  drawerName: 'search',
  searchDrawerState: {
    currentStep: 2,
    stepType: 'drugs',
    selectedValue: undefined,
    listOfBioEnitites: [],
    selectedSearchElement: '',
  },
  reactionDrawerState: {},
};

export const drawerSearchChemicalsStepTwoFixture: DrawerState = {
  isOpen: true,
  drawerName: 'search',
  searchDrawerState: {
    currentStep: 2,
    stepType: 'chemicals',
    selectedValue: undefined,
    listOfBioEnitites: [],
    selectedSearchElement: '',
  },
  reactionDrawerState: {},
};
