import { Drawer } from '@/components/Map/Drawer';
import { MapViewer } from './MapViewer/MapViewer.component';
import { MapAdditionalOptions } from './MapAdditionalOptions';

export const Map = (): JSX.Element => (
  <div className="relative z-0 h-screen w-full bg-black" data-testid="map-container">
    <MapAdditionalOptions />
    <Drawer />
    <MapViewer />
  </div>
);
